org.eclipse.microprofile.openapi.annotations.security

## Annotation Type OAuthFlows

    @Target(value={})
     @Retention(value=RUNTIME)
     @Inherited
    public @interface OAuthFlows

Allows configuration of the supported OAuth Flows.

See Also:
  OAuthFlows Object

### Optional Element Summary

Optional Elements
`OAuthFlow` `authorizationCode` Configuration for the OAuth Authorization Code flow.
`OAuthFlow` `clientCredentials` Configuration for the OAuth Client Credentials flow.
`OAuthFlow` `implicit` Configuration for the OAuth Implicit flow.
`OAuthFlow` `password` Configuration for the OAuth Resource Owner Password flow.

### Element Detail

#### implicit

    public abstract OAuthFlow implicit

Configuration for the OAuth Implicit flow.

Returns:
  implicit OAuth flow

Default:
  @org.eclipse.microprofile.openapi.annotations.security.OAuthFlow

#### password

    public abstract OAuthFlow password

Configuration for the OAuth Resource Owner Password flow.

Returns:
  OAuth Resource Owner Password flow

Default:
  @org.eclipse.microprofile.openapi.annotations.security.OAuthFlow

#### clientCredentials

    public abstract OAuthFlow clientCredentials

Configuration for the OAuth Client Credentials flow.

Returns:
  OAuth Client Credentials flow

Default:
  @org.eclipse.microprofile.openapi.annotations.security.OAuthFlow

#### authorizationCode

    public abstract OAuthFlow authorizationCode

Configuration for the OAuth Authorization Code flow.

Returns:
  OAuth Authorization Code flow

Default:
  @org.eclipse.microprofile.openapi.annotations.security.OAuthFlow